> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List vendors for a business

> **Scopes:** `vendor:read`



## OpenAPI

````yaml /api-reference/openapi.json get /v0/business/{business_id}/vendors
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/business/{business_id}/vendors:
    get:
      tags:
        - Vendor
      summary: List vendors for a business
      description: '**Scopes:** `vendor:read`'
      operationId: list_vendors_v0_business__business_id__vendors_get
      parameters:
        - name: business_id
          in: path
          required: true
          schema:
            type: string
            format: biz_string
            title: Business Id
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 255
              - type: 'null'
            description: >-
              Case-insensitive substring match against the vendor's name.
              (value)
            title: Search
          description: Case-insensitive substring match against the vendor's name. (value)
        - name: is_disabled
          in: query
          required: false
          schema:
            type: boolean
            description: >-
              If true, only disabled vendors are returned. Defaults to false
              (only active).
            default: false
            title: Is Disabled
          description: >-
            If true, only disabled vendors are returned. Defaults to false (only
            active).
        - name: page_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                description: The page token to for the next or previous page
              - type: 'null'
            title: Page Token
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 100
            title: Page Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VendorsPaginated'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - vendor:read
components:
  schemas:
    VendorsPaginated:
      properties:
        data:
          items:
            $ref: '#/components/schemas/Vendor'
          type: array
          title: Data
          description: List of vendors
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
          description: Pagination information
      type: object
      required:
        - data
        - pagination
      title: VendorsPaginated
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    Vendor:
      properties:
        external_id:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: External Id
          description: The external ID of the vendor
        name:
          type: string
          maxLength: 255
          title: Name
          description: The name of the vendor
        contact_name:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Contact Name
          description: The contact name of the vendor
        email:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Email
          description: The email address of the vendor
        phone_number:
          anyOf:
            - type: string
              maxLength: 32
            - type: 'null'
          title: Phone Number
          description: The phone number of the vendor
        id:
          type: string
          format: ven_string
          title: Id
          description: The ID of the vendor
        is_disabled:
          type: boolean
          title: Is Disabled
          description: Whether the vendor is disabled
      type: object
      required:
        - name
        - id
        - is_disabled
      title: Vendor
    PaginationResponse:
      properties:
        next_page_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Page Token
          description: The next page token
        previous_page_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Page Token
          description: The previous page token
      type: object
      title: PaginationResponse
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````